Broadcasts
bearerAuthAuthorizationBearer <token>An API key created in Settings > Integrations (gp_live_…), or an OAuth access token.
Broadcasts of the account, newest first.
application/json- response
items*array<>curl -X GET 'https://app.groupilot.com/api/v1/broadcasts'{ "items": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "status": "pending", "type": "text", "text": "string", "media_url": "string", "poll": { "question": "string", "options": [ "string", "string" ], "select_count": 0 }, "community_count": 0, "counts": { "success": 0, "failure": 0, "uncertain": 0 }, "scheduled_at": "2019-08-24T14:15:22Z", "sent_at": "2019-08-24T14:15:22Z", "canceled_at": "2019-08-24T14:15:22Z", "created_at": "2019-08-24T14:15:22Z" } ]}Now or at a given time, with a random delay between communities. 8 per day per account, 200 communities per broadcast. send scope.
bearerAuthAuthorizationBearer <token>An API key created in Settings > Integrations (gp_live_…), or an OAuth access token.
application/json- body
community_whatsapp_ids*array<>From GET /communities (whatsapp_id).
1 <= items <= 200type*SendableMessageType"text""image""video""voice""document""poll"text?stringlength <= 10000media_url?|urilength <= 2000poll?|nullscheduled_at?stringOmit to send now (with a random delay between communities).
date-timescheduled_at_local?stringLocal time in the account's timezone, instead of scheduled_at.
^\d{4}-\d{2}-\d{2}T\d{2}:\d{2}(?::\d{2})?$Created.
application/json- response
id*stringuuidstatus*BroadcastStatus"pending""sending""completed""failed""canceled"type*SendableMessageType"text""image""video""voice""document""poll"text*stringmedia_url*string|nullpoll*|nullcommunity_count*integercounts*scheduled_at*|ISO 8601 date-time with offset.
date-timesent_at*|ISO 8601 date-time with offset.
date-timecanceled_at*|ISO 8601 date-time with offset.
date-timecreated_at*stringISO 8601 date-time with offset.
date-timecurl -X POST 'https://app.groupilot.com/api/v1/broadcasts' \ -H 'Content-Type: application/json' \ -d '{ "community_whatsapp_ids": [ "string" ], "type": "text"}'{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "status": "pending", "type": "text", "text": "string", "media_url": "string", "poll": { "question": "string", "options": [ "string", "string" ], "select_count": 0 }, "community_count": 0, "counts": { "success": 0, "failure": 0, "uncertain": 0 }, "scheduled_at": "2019-08-24T14:15:22Z", "sent_at": "2019-08-24T14:15:22Z", "canceled_at": "2019-08-24T14:15:22Z", "created_at": "2019-08-24T14:15:22Z"}bearerAuthAuthorizationBearer <token>An API key created in Settings > Integrations (gp_live_…), or an OAuth access token.
id*stringuuidThe broadcast.
application/json- response
id*stringuuidstatus*BroadcastStatus"pending""sending""completed""failed""canceled"type*SendableMessageType"text""image""video""voice""document""poll"text*stringmedia_url*string|nullpoll*|nullcommunity_count*integercounts*scheduled_at*|ISO 8601 date-time with offset.
date-timesent_at*|ISO 8601 date-time with offset.
date-timecanceled_at*|ISO 8601 date-time with offset.
date-timecreated_at*stringISO 8601 date-time with offset.
date-timecurl -X GET 'https://app.groupilot.com/api/v1/broadcasts/497f6eca-6276-4993-bfeb-53cbbbba6f08'{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "status": "pending", "type": "text", "text": "string", "media_url": "string", "poll": { "question": "string", "options": [ "string", "string" ], "select_count": 0 }, "community_count": 0, "counts": { "success": 0, "failure": 0, "uncertain": 0 }, "scheduled_at": "2019-08-24T14:15:22Z", "sent_at": "2019-08-24T14:15:22Z", "canceled_at": "2019-08-24T14:15:22Z", "created_at": "2019-08-24T14:15:22Z"}bearerAuthAuthorizationBearer <token>An API key created in Settings > Integrations (gp_live_…), or an OAuth access token.
id*stringuuidpage?|0 <= value <= 100000Pages of 50 communities.
application/json- response
items*array<>total*integerpage*integerpage_size*5050curl -X GET 'https://app.groupilot.com/api/v1/broadcasts/497f6eca-6276-4993-bfeb-53cbbbba6f08/recipients'{ "items": [ { "community_whatsapp_id": "string", "status": "string", "attempt_count": 0, "settled_at": "2019-08-24T14:15:22Z" } ], "total": 0, "page": 0, "page_size": 50}Only before the sending starts.
bearerAuthAuthorizationBearer <token>An API key created in Settings > Integrations (gp_live_…), or an OAuth access token.
id*stringuuidCanceled (idempotent).
application/json- response
status*"canceled""canceled"changed*booleancurl -X POST 'https://app.groupilot.com/api/v1/broadcasts/497f6eca-6276-4993-bfeb-53cbbbba6f08/cancel'{ "status": "canceled", "changed": true}